<?php
 
 
 

namespace PhpWA\Protocol\Proto\PastParticipant;

use UnexpectedValueException;




class LeaveReason
{
    


    const LEFT = 0;
    


    const REMOVED = 1;

    private static $valueToName = [
        self::LEFT => 'LEFT',
        self::REMOVED => 'REMOVED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

